TICKIT_RENDERBUFFER_ERASE(3)

NAME
tickit_renderbuffer_erase, tickit_renderbuffer_erase_to, tickit_renderbuffer_erase_at - create erase regions

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_erase(TickitRenderBuffer *rb,
             int cols);
    void tickit_renderbuffer_erase_to(TickitRenderBuffer *rb,
             int col);
    void tickit_renderbuffer_erase_at(TickitRenderBuffer *rb,
             int line, int col, int cols);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_erase() creates a erase region that starts at the current virtual cursor position, continuing on for cols cells set to the current pen. tickit_renderbuffer_erase_to() creates a erase region that continues until the given column if the cursor was before that, or has no effect if it was after. Both of these functions will update the virtual cursor position.

tickit_renderbuffer_erase_at() creates a erase region at the given position and length. This function does not use or update the virtual cursor position.

RETURN VALUE
These functions return nothing

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_blit(3), tickit_renderbuffer_flush_to_term(3), tickit_renderbuffer(7), tickit(7)